StarEncodingTradChinese Class Reference

the main class to read/. More...

`#include <StarEncodingTradChinese.hxx>`

## Public Member Functions

| StarEncodingTradChinese ()
| constructor
virtual | ~StarEncodingTradChinese ()
| destructor

## Static Public Member Functions

static bool | readChinese1 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: E_EUC_CNE_BIG5, E_MS_950, E_APPLE_CHINTRAD

## Detailed Description

the main class to read/.

. some traditional Chinese encoding in StarOffice documents

## Constructor & Destructor Documentation

## StarEncodingTradChinese()

StarEncodingTradChinese::StarEncodingTradChinese | ( |  | ) |

constructor

## ~StarEncodingTradChinese()

StarEncodingTradChinese::~StarEncodingTradChinese | ( |  | ) |

virtual

destructor

## Member Function Documentation

## readChinese1()

bool StarEncodingTradChinese::readChinese1 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest )

static

try to read a caracter and add it to string: E_EUC_CNE_BIG5, E_MS_950, E_APPLE_CHINTRAD

Referenced by StarEncoding::read().

The documentation for this class was generated from the following files:

- StarEncodingTradChinese.hxx
- StarEncodingTradChinese.cxx